Skip to content

Preference⁠

Perform various operations on preference records.

Operations⁠

createPreferenceAccess⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
PreferenceAccessLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createPreferenceAccess
POST /nexum/627/2022.01/account/createPreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceAccessCreatableFields": {
    "AccessType": 0,
    "AccountNumber": "0000000000",
    "IdType": 0,
    "Id": "0",
    "EnableInquiry": 0,
    "EnableDeposit": 0,
    "EnableWithdrawal": 0,
    "EnableFm": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deletePreference⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deletePreference
POST /nexum/627/2022.01/account/deletePreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deletePreferenceAccess⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
PreferenceAccessLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deletePreferenceAccess
POST /nexum/627/2022.01/account/deletePreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceAccessLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}